Padre::Startup(3)

NAME
Padre::Startup - Padre start-up related configuration settings

DESCRIPTION
Padre stores host-related data in a combination of an easily transportable YAML file for personal settings and a powerful and robust SQLite-based configuration database for host settings and state data.

Unfortunately, fully loading and validating these configurations can be relatively expensive and may take some time. A limited number of these settings need to be available extremely early in the Padre bootstrapping process.

The startup.yml file is automatically written at the same time as the regular configuration files, and is read without validating during early start-up.

Padre::Startup::Config is a small convenience module for reading and writing the startup.yml file.

FUNCTIONS